package com.chinaweal.aiccs.aiccs.claim.service.impl;

import com.chinaweal.aiccs.aiccs.claim.entity.TSSupEntAddr;
import com.chinaweal.aiccs.aiccs.claim.mapper.TSSupEntAddrMapper;
import com.chinaweal.aiccs.aiccs.claim.service.TSSupEntAddrService;
import com.chinaweal.youfool.framework.springboot.mybatis.plus.BaseServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 监管主体住址/经营场所 服务实现类
 * </p>
 *
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021-01-21
 */
@Service
public class TSSupEntAddrServiceImpl extends BaseServiceImpl<TSSupEntAddrMapper, TSSupEntAddr> implements TSSupEntAddrService {

    @Override
    public TSSupEntAddr findTSSupEntAddrModel(String pripid) {
        return baseMapper.findTSSupEntAddrModel(pripid);
    }

    @Override
    public List<TSSupEntAddr> findTSSupEntAddrList(TSSupEntAddr tsSupEntAddrModel) {
        return baseMapper.findTSSupEntAddrList(tsSupEntAddrModel);
    }
    @Override
    public List<TSSupEntAddr> findTSSupEntAddrListByPripid(String pripid){
        return baseMapper.findTSSupEntAddrListByPripid(pripid);
    }
}
